Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
Microscopic_Traffic_Simulator___Model.GeneralParameters.TransitionFunctionParameters Class Reference

Class containing parameters of transition function. More...

## Properties
double | P5_LowSpeedDecProbability`[get, set]`
| Low speed deceleration probability. More...
int | P6_DecProbabilitySpeedBound`[get, set]`
| Threshold speed for the p5 and p8. More...
double | P7_AccelerationProbability`[get, set]`
| Acceleration probability. More...
double | P8_HighSpeedDecProbability`[get, set]`
| High speed deceleration probability. More...
double | P9_DecRateWhenLeadingAcc`[get, set]`
| Deceleration rate when leading vehicle accelerates. More...
double | P10_DecRateWhenLeadingDec`[get, set]`
| Deceleration rate when leading vehicle decelerates. More...

## Detailed Description

Class containing parameters of transition function.

Definition at line 9 of file TransitionFunctionParameters.cs.

## Property Documentation

double Microscopic_Traffic_Simulator___Model.GeneralParameters.TransitionFunctionParameters.P10_DecRateWhenLeadingDec
| get set

Deceleration rate when leading vehicle decelerates.

Definition at line 39 of file TransitionFunctionParameters.cs.

double Microscopic_Traffic_Simulator___Model.GeneralParameters.TransitionFunctionParameters.P5_LowSpeedDecProbability
| get set

Low speed deceleration probability.

Definition at line 14 of file TransitionFunctionParameters.cs.

int Microscopic_Traffic_Simulator___Model.GeneralParameters.TransitionFunctionParameters.P6_DecProbabilitySpeedBound
| get set

Threshold speed for the p5 and p8.

Definition at line 19 of file TransitionFunctionParameters.cs.

double Microscopic_Traffic_Simulator___Model.GeneralParameters.TransitionFunctionParameters.P7_AccelerationProbability
| get set

Acceleration probability.

Definition at line 24 of file TransitionFunctionParameters.cs.

double Microscopic_Traffic_Simulator___Model.GeneralParameters.TransitionFunctionParameters.P8_HighSpeedDecProbability
| get set

High speed deceleration probability.

Definition at line 29 of file TransitionFunctionParameters.cs.

double Microscopic_Traffic_Simulator___Model.GeneralParameters.TransitionFunctionParameters.P9_DecRateWhenLeadingAcc
| get set

Deceleration rate when leading vehicle accelerates.

Definition at line 34 of file TransitionFunctionParameters.cs.

The documentation for this class was generated from the following file:

- Microscopic Traffic Simulator - Model/CellularTopologyObjects/GeneralParameters/TransitionFunctionParameters.cs